%define name pyclutter
%define version 1.0.0
%define rel 1
%define release %mkrel %rel

%define apiver 1.0
%define api 1.0

Summary:       Python bindings for clutter
Name:          %{name}
Version:       %{version}
Release:       %{release}
Source0:       http://www.clutter-project.org/sources/pyclutter/%apiver/%{name}-%{version}.tar.bz2
License:       LGPLv2+
Group:         Graphics
Url:           http://clutter-project.org/
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: clutter-devel >= 1.0.0
BuildRequires: pygtk2.0-devel >= 2.8.0
BuildRequires: python-cairo-devel >= 1.0.2
BuildRequires: gstreamer0.10-python-devel
BuildRequires: libxslt-proc

%description
Python bindings for clutter

#----------------------------------------------------------------------------

%package -n python-clutter
Summary:       Python bindings for clutter
Group:         Graphics
Provides:      pyclutter = %{version}-%{release}

%description -n python-clutter
Python bindings for clutter

%package -n python-clutter-devel
Summary:       Python bindings for clutter
Group: Development/Python
Requires: python-clutter  = %{version}-%{release}

%description -n python-clutter-devel
Python bindings for clutter - development files.


%prep
%setup -q

%build
%configure2_5x --enable-docs
%make

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files -n python-clutter
%defattr(-,root,root)
%doc AUTHORS README NEWS
%dir %{py_platsitedir}/clutter
%{py_platsitedir}/clutter/*

%files -n python-clutter-devel
%defattr(-,root,root)
%doc ChangeLog
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/%{api}
%dir %{_datadir}/%{name}/%{api}/defs
%{_datadir}/%{name}/%{api}/defs/*.defs
%{_includedir}/%{name}-%{api}/%{name}/%{name}.h
%{_libdir}/pkgconfig/%{name}-%{apiver}.pc
%_datadir/gtk-doc/html/%name/


%changelog
* Sat Aug 29 2009 Götz Waschk <waschk@mandriva.org> 1.0.0-1mdv2010.0
+ Revision: 422130
- new version
- drop patch
- remove gst and gtk bindings

* Wed Aug 05 2009 Götz Waschk <waschk@mandriva.org> 0.9.2-2mdv2010.0
+ Revision: 410203
- split out devel package
- enable docs

* Wed Aug 05 2009 Götz Waschk <waschk@mandriva.org> 0.9.2-1mdv2010.0
+ Revision: 410181
- new version
- new apiver
- update deps
- remove cluttercairo

* Thu Feb 12 2009 Funda Wang <fundawang@mandriva.org> 0.8.2-1mdv2009.1
+ Revision: 339759
- update versioned BR and file list
- New version 0.8.2

* Sat Jan 03 2009 Funda Wang <fundawang@mandriva.org> 0.8.0-0.3273.2mdv2009.1
+ Revision: 323570
- fix linkage
- rebuild

* Sat Sep 13 2008 Colin Guthrie <cguthrie@mandriva.org> 0.8.0-0.3273.1mdv2009.0
+ Revision: 284395
- New snapshot

* Wed Feb 20 2008 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 173180
- New version

* Thu Jan 24 2008 Colin Guthrie <cguthrie@mandriva.org> 0.4.1-3mdv2008.1
+ Revision: 157487
- Bump release for buildsystem lock.
- New upstream version 0.4.1 (upstream messed up previous release which was not meant to be named 0.4.1)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 08 2007 Colin Guthrie <cguthrie@mandriva.org> 0.4.1-1mdv2008.0
+ Revision: 60563
- Rename package
- Import pyclutter

